FLAC: FLAC::Metadata::Chain Class Reference

FLAC 1.3.3

Classes | Public Member Functions | Protected Member Functions | Protected Attributes | Friends | List of all members
FLAC::Metadata::Chain Class Reference
FLAC C++ API » FLAC++/metadata.h: metadata interfaces » FLAC++/metadata.h: metadata level 2 interface

`#include <metadata.h>`

## Classes
class | Status

## Public Member Functions
bool | is_valid () const
Status | status ()
bool | read (const char *filename, bool is_ogg=false)
bool | read (FLAC__IOHandle handle, FLAC__IOCallbacks callbacks, bool is_ogg=false)
bool | check_if_tempfile_needed (bool use_padding)
bool | write (bool use_padding=true, bool preserve_file_stats=false)
bool | write (bool use_padding, ::FLAC__IOHandle handle, ::FLAC__IOCallbacks callbacks)
bool | write (bool use_padding, ::FLAC__IOHandle handle, ::FLAC__IOCallbacks callbacks, ::FLAC__IOHandle temp_handle, ::FLAC__IOCallbacks temp_callbacks)
void | merge_padding ()
void | sort_padding ()

## Protected Member Functions
virtual void | clear ()

## Protected Attributes
::FLAC__Metadata_Chain * | chain_

## Friends
class | Iterator

## Detailed Description

This class is a wrapper around the FLAC__metadata_chain structures and methods; see the usage guide and FLAC__Metadata_Chain.

## Member Function Documentation

## ◆ is_valid()

bool FLAC::Metadata::Chain::is_valid | ( |  | ) | const

Returns `true` iff object was properly constructed.

## ◆ status()

Status FLAC::Metadata::Chain::status | ( |  | ) |

See FLAC__metadata_chain_status().

## ◆ read() [1/2]

bool FLAC::Metadata::Chain::read | ( | const char * | filename,
|  | bool | is_ogg = `false`
| ) |  |

See FLAC__metadata_chain_read(), FLAC__metadata_chain_read_ogg().

## ◆ read() [2/2]

bool FLAC::Metadata::Chain::read | ( | FLAC__IOHandle | handle,
|  | FLAC__IOCallbacks | callbacks,
|  | bool | is_ogg = `false`
| ) |  |

See FLAC__metadata_chain_read_with_callbacks(), FLAC__metadata_chain_read_ogg_with_callbacks().

## ◆ check_if_tempfile_needed()

bool FLAC::Metadata::Chain::check_if_tempfile_needed | ( | bool | use_padding | ) |

See FLAC__metadata_chain_check_if_tempfile_needed().

## ◆ write() [1/3]

bool FLAC::Metadata::Chain::write | ( | bool | use_padding = `true`,
|  | bool | preserve_file_stats = `false`
| ) |  |

See FLAC__metadata_chain_write().

## ◆ write() [2/3]

bool FLAC::Metadata::Chain::write | ( | bool | use_padding,
|  | ::FLAC__IOHandle | handle,
|  | ::FLAC__IOCallbacks | callbacks
| ) |  |

See FLAC__metadata_chain_write_with_callbacks().

## ◆ write() [3/3]

bool FLAC::Metadata::Chain::write | ( | bool | use_padding,
|  | ::FLAC__IOHandle | handle,
|  | ::FLAC__IOCallbacks | callbacks,
|  | ::FLAC__IOHandle | temp_handle,
|  | ::FLAC__IOCallbacks | temp_callbacks
| ) |  |

See FLAC__metadata_chain_write_with_callbacks_and_tempfile().

## ◆ merge_padding()

void FLAC::Metadata::Chain::merge_padding | ( |  | ) |

See FLAC__metadata_chain_merge_padding().

## ◆ sort_padding()

void FLAC::Metadata::Chain::sort_padding | ( |  | ) |

See FLAC__metadata_chain_sort_padding().

The documentation for this class was generated from the following file:

- include/FLAC++/metadata.h

Copyright (c) 2000-2009 Josh Coalson Copyright (c) 2011-2016 Xiph.Org Foundation |